
# Omniyagi
<sub>Disclaimer: This is just an opinion.</sub>
## Introduction

The usual omnidirectional antenna has a radiation pattern of:  

<img width=300 style="display: block; margin: 0 auto" scr="https://upload.wikimedia.org/wikipedia/commons/e/e1/L-over2-rad-pat-per.jpg"/>

The usual yagi antenna has a radiation pattern as shown in:  
  
<img width=300 style="display: block; margin: 0 auto" scr="https://external-content.duckduckgo.com/iu/?u=http%3A%2F%2Fwww.raymaps.com%2Fwp-content%2Fuploads%2F2012%2F02%2FYagi-Antenna-3D-Radiation-Pattern.jpg&f=1&nofb=1&ipt=fe9716b06b1dcb895fc304ee63e020191fc69416890aca1aecc2fe073115926c&ipo=images"/>
  
For the sake of brevity, let these simplifications of said radiation patterns be true(within the thought experiment).
  

<img width=300 style="display: block; margin: 0 auto" scr="images/omni.png"/>  
<img width=300 style="display: block; margin: 0 auto" scr="images/yagi.png"/>


## Problem
A radio signal generator is constantly transmitting from an unknown location and the most precise approximation is needed. We have two strategies at our disposal - one for each of the aforementioned antennas respectively.

### Omnidirectional Strategy(ODS)

Let `A` be the antenna and the center of the reception circle. The reception circle's radius is 5 units. These units have an unknown real life equivalent; However that is rather irrelevant for the scope of the experiment. A can be moved around the plane freely.

### Yagi strategy(YS)

Let `A,B,C` and `D` be individual directional antennas ordered in a rectangular formation. Each antenna has a vector with the length of 10, given that directional antennas are around two times better at receiving and transmitting signal than an omnidirectional, the cost being that the transceiving is limited to a certain direction. The formation must be composed in a way, such that there is always at least 2 vectors intersecting each other. These points are stationary, however their respective vectors could be rotated 360 degrees.
We know the distances between each of the points.

### Solution approach

Both strategies involve direction finding of some sort. [Direction finding](https://en.wikipedia.org/wiki/Direction_finding) using vector intersection is quite self explanatory, you take the antenna in which the signal is the strongest, take the two nearest antennas and find the point in which the vectors overlap. The point left at the end is our location.
  
<img width=300 style="display: block; margin: 0 auto" scr="https://upload.wikimedia.org/wikipedia/commons/thumb/c/cd/Triangulation.svg/800px-Triangulation.svg.png"/>

When it comes to circles, however, the strategy is different. [Trilateration](https://en.wikipedia.org/wiki/Trilateration) is a way of pinpointing a location using ranges. The approach is different from the usual, as we do not have multiple antennas, but rather a single moving one. Trilateration goes like: Get readings from 3 different points(it would help if they were polar opposites). Find the intersection of the three circles that you have. That's the point we're looking for.

<img width=300 style="display: block; margin: 0 auto" scr="https://www.researchgate.net/profile/Constantinos-Patsakis/publication/277077361/figure/fig1/AS:613444243968081@1523267913923/Trilateration-attack-with-exact-distances.png"/>

### Expected results
YS is not as effective, however it is way more efficient than OMS on many levels. At least on paper. A list of all the theoretical pros of YS over OMS:

```
1. Is not affected by temporary intermissions(like static and weather conditions) as much, given that all of the readings are taken simultaneously.
2. The setup is permanent and does not require movement, which permits consistent results.
3. Result is certain, given that the point is within the rectangular formation.
4. The math is way easier.
```
That is not to say that OMS does not have pros:

```
1. Less investment when it comes to money/time in the scope of the setup(as you *could* build Yagi antennas yourself).
2. More fun in the moment of taking readings.
3. Possibly more fun if you like complicated math.
```

### Sources

##### Articles
1.[Direction finding](https://en.wikipedia.org/wiki/Direction_finding) 
2.[Trilateration](https://en.wikipedia.org/wiki/Trilateration) 
3.[Triangulation](https://en.wikipedia.org/wiki/Triangulation)   

##### Images
1. Wikimedia
2. Researchgate
3. Raymaps.com

Graphs made with GeoGebra

